Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2839673002: 🏠 Polish bottom sheet content transitions (Closed)

Created:
2 years, 5 months ago by mdjones
Modified:
2 years, 5 months ago
Reviewers:
Theresa
CC:
chromium-reviews, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Home] Polish bottom sheet content transitions This change adds animation when transitioning between bottom sheet content. The existing view is faded out completely before the new view is faded in. The animation is applied to both the sheet content and the toolbar view. Notably, the onContentChanged() event is now called when the transition animation has finished instead of immediately when showContent(...) is called. BUG=702717 Review-Url: https://codereview.chromium.org/2839673002 Cr-Original-Commit-Position: refs/heads/master@{#466780} Committed: https://chromium.googlesource.com/chromium/src/+/419509cbf0ac3a8a8595b3ce9e56daf75e5c2f0c Review-Url: https://codereview.chromium.org/2839673002 Cr-Commit-Position: refs/heads/master@{#467589} Committed: https://chromium.googlesource.com/chromium/src/+/a3113f3049092c40df4181b98e960785eaadcfb9

Patch Set 1 #

Patch Set 2 : end animation immediately if no previous content #

Unified diffs Side-by-side diffs Delta from patch set Stats (+83 lines, -68 lines) Patch
M chrome/android/java/res/layout/bottom_control_container.xml View 2 chunks +4 lines, -2 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheet.java View 1 7 chunks +79 lines, -66 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 18 (9 generated)
mdjones
ptal
2 years, 5 months ago (2017-04-24 17:56:36 UTC) #3
Theresa
lgtm
2 years, 5 months ago (2017-04-24 20:50:35 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2839673002/1
2 years, 5 months ago (2017-04-24 20:52:02 UTC) #6
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/419509cbf0ac3a8a8595b3ce9e56daf75e5c2f0c
2 years, 5 months ago (2017-04-24 21:42:49 UTC) #9
perezju
A revert of this CL (patchset #1 id:1) has been created in https://codereview.chromium.org/2838313003/ by perezju@chromium.org. ...
2 years, 5 months ago (2017-04-26 11:13:22 UTC) #10
mdjones
The flaky tests are due to the bottom sheet content being set after the initial ...
2 years, 5 months ago (2017-04-27 00:04:29 UTC) #12
Theresa
lgtm
2 years, 5 months ago (2017-04-27 00:05:19 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2839673002/20001
2 years, 5 months ago (2017-04-27 00:42:32 UTC) #15
commit-bot: I haz the power
2 years, 5 months ago (2017-04-27 05:06:08 UTC) #18
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/a3113f3049092c40df4181b98e96...

Powered by Google App Engine
This is Rietveld 408576698